<?
// po poprawkach
namespace admin\view;

class Languages
{
	public function editTranslation( $id = '' )
	{
		$out = \admin\view\PagePanel::show( false, true, true, 'Tłumaczenia' );

    $id ? $type = 'label' : $type = 'text';
    
		$dbedit = new \DataEdit( 'pp_langs_text' , 'id' , $id );
    $dbedit -> addPosition( 'text', 'Tekst',      $type );
		$dbedit -> addPosition( 'pl',   'Polski',     'textarea' );
		$dbedit -> addPosition( 'en',   'Angielski',  'textarea' );
		$dbedit -> addPosition( 'ru',   'Rosyjski',   'textarea' );
		$dbedit -> addPosition( 'de',   'Niemiecki',  'textarea' );
		$dbedit -> addPosition( 'uk',   'Ukraiński',  'textarea' );
		$out .= $dbedit -> draw();

		return $out;
	}
  
	public function showTranslations()
	{
    $delete = " var translations = ''; 
                $('input:checkbox:checked').each(
                  function() {
                    if ( translations != '' )
                      translations = translations + ':';
                    translations = translations + $(this).val();
                  }
                );
                $.prompt( 'Trwa usuwanie tłumaczeń...' );
                xajax_deleteTranslations( translations );";
    
		$out = \admin\view\PagePanel::show( true, false, false, 'Tłumaczenia', '', false, false, false, $delete );

		$dbrowse = new \DataBrowse( 'pp_langs_text' );
		$dbrowse -> addPosition( 'text',  'Tekst',      '', '', '', 'text' );
		$dbrowse -> addPosition( 'pl',    'Polski',     '', '', '', 'pl' );
		$dbrowse -> addPosition( 'en',    'Angielski',  '', '', '', 'en' );
		$dbrowse -> addPositionSimple( 'edytuj',  '', './?rw=edit' );
		$dbrowse -> addPositionSimple( 'usuń',    '', '', \System::deleteAction() );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'text ASC' );
		$dbrowse -> addLp();
    $dbrowse -> addCheckbox();
		$dbrowse -> addFiltr( 'text', 'Tekst',  'text' );
		$dbrowse -> addFiltr( 'pl',   'Polski', 'text' );
		$out .= $dbrowse -> draw();

		return $out;
	}
  
	public function showLanguages()
	{
		$out = \admin\view\PagePanel::show( false, false, false, 'Języki' );

		$dbrowse = new \DataBrowse( 'pp_langs' );
		$dbrowse -> addPosition( 'id',      'Id',       '', '', '', 'id' );
		$dbrowse -> addPosition( 'name',    'Nazwa',    '', '', '', 'name' );
		$dbrowse -> addPosition( 'enabled', 'Aktywny',  '', \System::getComboYesNo() );
		$dbrowse -> addPositionSimple( 'edytuj', '', './?rw=edit' );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'id ASC' );
		$dbrowse -> addLp();
		$out .= $dbrowse -> draw();

		return $out;
	}

	public function editLanguage( $id )
	{
		$out = \admin\view\PagePanel::show( false, true, true, 'Języki' );

		$dbedit = new \DataEdit( 'pp_langs', 'id', $id );
		$dbedit -> addPosition( 'name',     'Nazwa',    'label' );
		$dbedit -> addPosition( 'enabled',  'Aktywny',  'radio' , '' , \System::getComboYesNo() );
		$out .= $dbedit -> draw();

		return $out;
	}
}
?>